Upgrade from 20.04 to 21.04 CRASH

Bug #1926872 reported by Puneet Khurana on 2021-05-02

This bug report will be marked for expiration in 56 days if no further activity occurs. (find out why)

12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
Undecided
Unassigned

Bug Description

puneet@UBUNTU:~$ sudo -i
[sudo] password for puneet:
root@UBUNTU:~# apt-get update
Ign:1 cdrom://Ubuntu 20.04 LTS _Focal Fossa_ - Release amd64 (20200423) focal InRelease
Err:2 cdrom://Ubuntu 20.04 LTS _Focal Fossa_ - Release amd64 (20200423) focal Release
  Please use apt-cdrom to make this CD-ROM recognized by APT. apt-get update cannot be used to add new CD-ROMs
Get:3 http://mirrors.piconets.webwerks.in/ubuntu-mirror/ubuntu groovy InRelease [267 kB]
Hit:4 http://in.archive.ubuntu.com/ubuntu focal InRelease
Hit:5 http://mirrors.piconets.webwerks.in/ubuntu-mirror/ubuntu groovy-updates InRelease
Hit:6 http://mirrors.piconets.webwerks.in/ubuntu-mirror/ubuntu groovy-backports InRelease
Hit:7 http://in.archive.ubuntu.com/ubuntu focal-updates InRelease
Hit:8 http://mirrors.piconets.webwerks.in/ubuntu-mirror/ubuntu groovy-security InRelease
Hit:9 http://mirrors.piconets.webwerks.in/ubuntu-mirror/ubuntu groovy-proposed InRelease
Hit:10 http://ppa.launchpad.net/apandada1/xournalpp-stable/ubuntu groovy InRelease
Hit:11 https://packages.microsoft.com/repos/ms-teams stable InRelease
Hit:12 http://archive.canonical.com/ubuntu groovy InRelease
Hit:13 http://ppa.launchpad.net/libv4l/stable/ubuntu groovy InRelease
Hit:14 http://ppa.launchpad.net/numix/ppa/ubuntu groovy InRelease
Ign:15 http://ppa.launchpad.net/paolorotolo/droidcam/ubuntu groovy InRelease
Err:16 http://ppa.launchpad.net/paolorotolo/droidcam/ubuntu groovy Release
  404 Not Found [IP: 91.189.95.85 80]
Hit:17 http://dl.google.com/linux/chrome/deb stable InRelease
Reading package lists... Done
E: The repository 'cdrom://Ubuntu 20.04 LTS _Focal Fossa_ - Release amd64 (20200423) focal Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'http://ppa.launchpad.net/paolorotolo/droidcam/ubuntu groovy Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
root@UBUNTU:~# apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
root@UBUNTU:~# apt-get dist-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
root@UBUNTU:~# update-manager
root@UBUNTU:~# update-manager -d
Checking for a new Ubuntu release
WARNING:root:file 'hirsute.tar.gz.gpg' missing
root@UBUNTU:~# update-manager -d
Checking for a new Ubuntu release
authenticate 'hirsute.tar.gz' against 'hirsute.tar.gz.gpg'
extracting 'hirsute.tar.gz'
root@UBUNTU:~# Opening in existing browser session.

ProblemType: Bug
DistroRelease: Ubuntu 20.10
Package: ubuntu-release-upgrader-core 1:20.10.15
ProcVersionSignature: Ubuntu 5.8.0-51.57-generic 5.8.18
Uname: Linux 5.8.0-51-generic x86_64
ApportVersion: 2.20.11-0ubuntu50.6
Architecture: amd64
CasperMD5CheckResult: skip
CrashDB: ubuntu
Date: Sun May 2 13:24:11 2021
InstallationDate: Installed on 2020-08-14 (260 days ago)
InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_IN:en
 TERM=xterm-256color
 PATH=(custom, no user)
 LANG=en_IN
 SHELL=/bin/bash
SourcePackage: ubuntu-release-upgrader
UpgradeStatus: Upgraded to groovy on 2021-05-02 (0 days ago)
VarLogDistupgradeAptlog:
 Log time: 2021-05-02 13:22:13.230789
 Log time: 2021-05-02 13:22:16.988663
 Log time: 2021-05-02 13:23:56.159510
 Log time: 2021-05-02 13:24:12.883502
VarLogDistupgradeTermlog:

Puneet Khurana (puneetskhurana) wrote :
Brian Murray (brian-murray) wrote :

There was an error when the upgrade process was communicating with the mirror of the Ubuntu archive which you use. Please try the upgrade again and see if the mirror is working better, if not I'd suggest switching mirrors of the Ubuntu archive.

2021-05-02 13:22:33,988 DEBUG examining: 'deb http://mirrors.piconets.webwerks.in/ubuntu-mirror/ubuntu/ groovy main restricted'
2021-05-02 13:22:33,989 DEBUG verifySourcesListEntry: deb http://mirrors.piconets.webwerks.in/ubuntu-mirror/ubuntu/ hirsute main restricted
2021-05-02 13:22:33,989 DEBUG url_downloadable: http://mirrors.piconets.webwerks.in/ubuntu-mirror/ubuntu//dists/hirsute/Release
2021-05-02 13:22:33,989 DEBUG s='http' n='mirrors.piconets.webwerks.in' p='/ubuntu-mirror/ubuntu//dists/hirsute/Release' q='' f=''
2021-05-02 13:22:34,008 DEBUG error from httplib: 'HTTP Error 500: Internal Server Error'

Changed in ubuntu-release-upgrader (Ubuntu):
status: New → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers